
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "Strip unwanted HTML tags and attributes",
  "AUTHOR" => "Olaf Alders <olaf\@wundercounter.com>",
  "BUILD_REQUIRES" => {
    "Module::Build" => "0.3601"
  },
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30",
    "Module::Build" => "0.3601"
  },
  "DISTNAME" => "HTML-Restrict",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "HTML::Restrict",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Data::Dump" => 0,
    "HTML::Parser" => 0,
    "List::MoreUtils" => 0,
    "Moo" => "1.002000",
    "MooX::Types::MooseLike" => "0.23",
    "Scalar::Util" => 0,
    "Sub::Quote" => 0,
    "URI" => 0,
    "namespace::clean" => 0,
    "strict" => 0
  },
  "TEST_REQUIRES" => {
    "Test::Fatal" => 0,
    "Test::More" => 0,
    "warnings" => 0
  },
  "VERSION" => "2.1.9",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Data::Dump" => 0,
  "HTML::Parser" => 0,
  "List::MoreUtils" => 0,
  "Module::Build" => "0.3601",
  "Moo" => "1.002000",
  "MooX::Types::MooseLike" => "0.23",
  "Scalar::Util" => 0,
  "Sub::Quote" => 0,
  "Test::Fatal" => 0,
  "Test::More" => 0,
  "URI" => 0,
  "namespace::clean" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



